### A free/open-source library for quantitative finance

Classes | Functions
ql/instruments/yearonyearinflationswap.hpp File Reference

Year-on-year inflation-indexed swap. More...

`#include <ql/instruments/swap.hpp>`
`#include <ql/time/calendar.hpp>`
`#include <ql/time/daycounter.hpp>`
`#include <ql/time/schedule.hpp>`
Include dependency graph for yearonyearinflationswap.hpp:

## Classes

class | YearOnYearInflationSwap
| Year-on-year inflation-indexed swap. More...
class | YearOnYearInflationSwap::arguments
| Arguments for YoY swap calculation More...
class | YearOnYearInflationSwap::results
| Results from YoY swap calculation More...

## Functions

std::ostream & | operator<< (std::ostream &out, YearOnYearInflationSwap::Type t)

## Detailed Description

Year-on-year inflation-indexed swap.